# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define	base_name	servletapi
%define	major_version	4
%define	name		%{base_name}%{major_version}
%define full_name	jakarta-%{base_name}
%define	version		4.0.4
%define release		4jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java servlet and JSP implementation classes
License: 	Apache License
Group: 		Internet/WWW/Dynamic Content
Vendor:		JPackage Project
Distribution:	JPackage
Source:		%{full_name}-4-src.tar.gz
Url: 		http://jakarta.apache.org/tomcat
Provides:       servlet
Requires(preun):  /usr/sbin/update-alternatives
Requires(post):  /usr/sbin/update-alternatives
Buildrequires:	ant >= 1.2
Buildrequires:  jpackage-utils > 1.4
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	servlet4
Obsoletes:	servlet23
Provides:	servlet4
Provides:	servlet23

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

%package javadoc
Group: 			Development/Documentation
Summary: 		Javadoc for %{name}

%description javadoc
Javadoc generated Documentation for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{full_name}-4-src

%build
ant dist -Dservletapi.build=build -Dservletapi.dist=dist

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/lib/servlet.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{_javadir}/servlet.jar servlet %{_javadir}/%{name}-%{version}.jar 20300

%postun
if [ "$1" = "0" ]; then
	update-alternatives --remove servlet %{_javadir}/%{name}-%{version}.jar
fi

%files
%defattr(-,root,root)
%doc LICENSE README.txt
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}

%changelog
* Mon Apr 24 2006 Fernando Nasser <fnasser@redhat.com> 4.0.4-4jpp
- First JPP 1.7 build

* Wed Nov 16 2005 Fernando Nasser <fnasser@redhat.com> 4.0.4-3jpp_5rh
- New 6-digit alternative priority

* Tue Oct 25 2005 Fernando Nasser <fnasser@redhat.com> 4.0.4-3jpp_4rh
- Alternatives priority must be based on API version

* Mon Nov 22 2004 Fernando Nasser <fnasser@redhat.com> 4.0.4-3jpp_2rh
- Rebuild

* Thu Mar  4 2004 Frank Ch. Eigler <fche@redhat.com> 4.0.4-3jpp_1rh
- RH vacuuming

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 4.0.4-3jpp
- for jpackage-utils 1.5

* Fri Oct 25 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0.4-2jpp
- only one alternative (servlet)
- do not remove alternatives on upgrades
- group, vendor, distribution tags

* Wed Jun 26 2002 Henri Gomez <hgomez@slib.fr> 4.0.4-1jpp
- remove version in javadoc dir for Tomcat 4.0.4 build purposes

* Wed Jun 12 2002 Henri Gomez <hgomez@slib.fr> 4.0.3-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Mon Jun 10 2002 Henri Gomez <hgomez@slib.fr> 4.0.3-1jpp
- added servlet23 alternative (servlet-2.3)

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0.1-3jpp 
- renamed once again (hope last time) to servletapi3
- provide servlet resource with priority 40

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0.1-2jpp 
- fixed javadoc package group
- section macro

* Fri Jan 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0.1-1jpp
- renamed from servlet23 to servlet4
- 4.0.1
- provides servlet_spec-2.3 resource with 50 priority
- requires /usr/sbin/update-alternatives
- versioned dir for javadoc
- no dependencies for javadoc package
- spec cleanup

* Fri Nov 23 2001 Henri Gomez <hgomez@slib.fr> 3.2.4-1jpp
- 3.2.4
- renamed from servletapi3 to servlet22
- built using jikes 1.15
- removed packager tag
- javadoc live now in /usr/share/javadoc/servlet3
- manual renamed  to javadoc

* Sat Oct 20 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.3-3mdk
- s/jPackage/JPackage
- used original tarball

* Fri Sep 14 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.3-2mdk
- changed jar name to %{name}.jar

* Sun Aug 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.3-1mdk
- 3.2.3 
- vendor tag
- packager tag
- s/Copyright/License/
- truncated description to 72 columns in spec
- spec cleanup
- used versioned jar
- used new source packaging policy

* Sat Feb 10 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 3.2-1mdk
- first Mandrake release
